### Method

# Gtk Widget get_pango_context

#### Declaration [src]

    PangoContext*
    gtk_widget_get_pango_context (
      GtkWidget* widget
    )

#### Description [src]

Gets a `PangoContext` with the appropriate font map, font description, and base direction for this widget.

Unlike the context returned by gtk_widget_create_pango_context(), this context is owned by the widget (it can be used until the screen for the widget changes or the widget is removed from its toplevel), and will be updated to match any changes to the widget’s attributes. This can be tracked by listening to changes of the `GtkWidget:root` property on the widget.

#### Return value

Returns: | `PangoContext*`
| The `PangoContext` for the widget.
| The data is owned by the instance.